{**
 * Awe Menu is quick, easy to setup and WYSIWYG menu management system
 *
 * Awe Menu by Kahanit(https://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2016 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.5.0
 *}

{foreach from=$menu item=item}
    {assign var="class" value=((isset($item->config->class) && !empty($item->config->class))?(' '|cat:$item->config->class):'')}
    {assign var="dropdownclass" value=((isset($item->config->dropdown->class) && !empty($item->config->dropdown->class))?(' '|cat:$item->config->dropdown->class):'')}
    {assign var="classautogen" value=((isset($item->config->{'class-autogen'}) && !empty($item->config->{'class-autogen'}))?(' '|cat:$item->config->{'class-autogen'}):'')}
    {assign var="classbadgeautogen" value=((isset($item->config->{'class-badge-autogen'}) && !empty($item->config->{'class-badge-autogen'}))?(' '|cat:$item->config->{'class-badge-autogen'}):'')}
    {assign var="classdropdownautogen" value=((isset($item->config->{'class-dropdown-autogen'}) && !empty($item->config->{'class-dropdown-autogen'}))?(' '|cat:$item->config->{'class-dropdown-autogen'}):'')}
    {assign var="target" value=((isset($item->config->target) && !empty($item->config->target))?(' target="'|cat:$item->config->target|cat:'"'):'')}
    {assign var="align" value=((isset($item->config->dropdown->align) && !empty($item->config->dropdown->align))?(' am-tab-dropdown-'|cat:$item->config->dropdown->align):'')}

    {if isset($item->config->text)}
        {assign var="text" value=((is_object($item->config->text))?$item->config->text->{'lang_id_'|cat:$lang_id}:$item->config->text)}
    {else}
        {assign var="text" value=''}
    {/if}

    {if isset($item->config->url)}
        {assign var="url" value=((is_object($item->config->url))?$item->config->url->{'lang_id_'|cat:$lang_id}:$item->config->url)}
    {else}
        {assign var="url" value=''}
    {/if}

    {if isset($item->config->{'custom-text'})}
        {assign var="customtext" value=$item->config->{'custom-text'}->{'lang_id_'|cat:$lang_id}}
    {/if}

    {if $item->xtype == 'tab'}
        <div class="am-tab{$class|escape:'htmlall':'UTF-8'}{$align|escape:'htmlall':'UTF-8'}" data-content="+">
            <a{$target|escape:'htmlall':'UTF-8'} class="{$classautogen|escape:'htmlall':'UTF-8'}" href="{$url|escape:'htmlall':'UTF-8'}">
                {if $item->config->icon != '' && $item->config->icon != '-'}
                    <i class="fa {$item->config->icon|escape:'htmlall':'UTF-8'}"></i>
                {/if}
                {if isset($customtext) && $customtext != ''}
                    <span class="am-tab-text">{$customtext|escape:'htmlall':'UTF-8'}</span>
                {else}
                    <span class="am-tab-text">{$text|escape:'htmlall':'UTF-8'}</span>
                {/if}
                {if isset($item->config->{'badge-text'}->{'lang_id_'|cat:$lang_id}) && !empty($item->config->{'badge-text'}->{'lang_id_'|cat:$lang_id})}
                    <span class="am-badge{$classbadgeautogen|escape:'htmlall':'UTF-8'}">{$item->config->{'badge-text'}->{'lang_id_'|cat:$lang_id}|escape:'htmlall':'UTF-8'}</span>
                {/if}
            </a>

            {if is_array($item->items) && $item->items|@count gt 0}
                <div class="am-dropdown{$classdropdownautogen|escape:'htmlall':'UTF-8'}{$dropdownclass|escape:'htmlall':'UTF-8'}">
                    <div class="am-sortable am-sortable-y">
                        {include file="./menu-items.tpl" menu=$item->items}
                    </div>
                </div>
            {/if}
        </div>
    {/if}
    {if $item->xtype == 'row'}
        <div class="am-row{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-sortable am-sortable-x am-sortable-columns">
                {if is_array($item->items) && $item->items|@count gt 0}
                    {include file="./menu-items.tpl" menu=$item->items}
                {/if}
            </div>
        </div>
    {/if}
    {if $item->xtype == 'column'}
        <div class="am-column{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-sortable am-sortable-y am-sortable-items">
                {if is_array($item->items) && $item->items|@count gt 0}
                    {include file="./menu-items.tpl" menu=$item->items}
                {/if}
            </div>
        </div>
    {/if}
    {if $item->xtype == 'tabs'}
        <div class="am-item am-tabs am-tabs-{$item->config->layout|escape:'htmlall':'UTF-8'}{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-sortable am-sortable-x">
                {if $item->config->layout == 'root'}
                    <div class="am-tab am-tab-home" data-content="+">
                        <a href="#" onclick="return false;">
                            <i class="fa fa-bars"></i>
                            {l s='Menu' mod='awemenu'}
                        </a>
                    </div>
                {/if}
                {if is_array($item->items) && $item->items|@count gt 0}
                    {include file="./menu-items.tpl" menu=$item->items}
                {/if}
            </div>
        </div>
    {/if}
    {if $item->xtype == 'link'}
        <div class="am-item am-link{$class|escape:'htmlall':'UTF-8'}">
            <a{$target|escape:'htmlall':'UTF-8'} class="{$classautogen|escape:'htmlall':'UTF-8'}" href="{$url|escape:'htmlall':'UTF-8'}">
                {if $item->config->icon != '' && $item->config->icon != '-'}
                    <i class="fa {$item->config->icon|escape:'htmlall':'UTF-8'}"></i>
                {/if}
                {if isset($customtext) && $customtext != ''}
                    <span class="am-link-text">{$customtext|escape:'htmlall':'UTF-8'}</span>
                {else}
                    <span class="am-link-text">{$text|escape:'htmlall':'UTF-8'}</span>
                {/if}
                {if isset($item->config->{'badge-text'}->{'lang_id_'|cat:$lang_id}) && !empty($item->config->{'badge-text'}->{'lang_id_'|cat:$lang_id})}
                    <span class="am-badge{$classbadgeautogen|escape:'htmlall':'UTF-8'}">{$item->config->{'badge-text'}->{'lang_id_'|cat:$lang_id}|escape:'htmlall':'UTF-8'}</span>
                {/if}
            </a>
        </div>
    {/if}
    {if $item->xtype == 'html'}
        <div class="am-item am-html{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-item-pad">
                {$item->config->content->{'lang_id_'|cat:$lang_id}|escape:'UTF-8'}
            </div>
        </div>
    {/if}
    {if $item->xtype == 'youtube'}
        <div class="am-item am-youtube{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-item-pad">
                <iframe width="100%" height="100%"
                        src="//www.youtube{if $item->config->{'enable-privacy-enh-mode'}}-nocookie{/if}.com/embed/{$item->config->video|escape:'htmlall':'UTF-8'}?
                        showinfo={$item->config->{'show-title-and-actions'}|escape:'htmlall':'UTF-8'}&rel={$item->config->{'show-suggested'}|escape:'htmlall':'UTF-8'}&
                        controls={$item->config->{'show-controls'}|escape:'htmlall':'UTF-8'}&autoplay={$item->config->autoplay|escape:'htmlall':'UTF-8'}"
                        frameborder="0" allowfullscreen></iframe>
            </div>
        </div>
    {/if}
    {if $item->xtype == 'vimeo'}
        <div class="am-item am-vimeo{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-item-pad">
                <iframe width="100%" height="100%"
                        src="//player.vimeo.com/video/{$item->config->video|escape:'htmlall':'UTF-8'}?
                        autoplay={$item->config->autoplay|escape:'htmlall':'UTF-8'}&loop={$item->config->loop|escape:'htmlall':'UTF-8'}&color={$item->config->color|escape:'htmlall':'UTF-8'}&
                        portrait={$item->config->{'show-portrait'}|escape:'htmlall':'UTF-8'}&title={$item->config->{'show-title'}|escape:'htmlall':'UTF-8'}&
                        byline={$item->config->{'show-byline'}|escape:'htmlall':'UTF-8'}&badge={$item->config->{'show-badge'}|escape:'htmlall':'UTF-8'}"
                        frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
            </div>
        </div>
    {/if}
    {if $item->xtype == 'googlemap'}
        <div class="am-item am-googlemap{$class|escape:'htmlall':'UTF-8'}{$classautogen|escape:'htmlall':'UTF-8'}">
            <div class="am-item-pad">
                {counter assign=gmcounter}
                <div id="am-googlemap-container-{$gmcounter|escape:'htmlall':'UTF-8'}"
                     data-counter="{$gmcounter|escape:'htmlall':'UTF-8'}"
                     class="am-googlemap-container"
                     data-lat="{$item->config->latitude|escape:'htmlall':'UTF-8'}"
                     data-lng="{$item->config->longitude|escape:'htmlall':'UTF-8'}"
                     data-zoom="{$item->config->zoom|escape:'htmlall':'UTF-8'}"></div>
            </div>
        </div>
    {/if}
{/foreach}